Package org.eclipse.birt.report.engine.content

# Interface IBandContent

All Superinterfaces:
  `org.eclipse.birt.report.engine.css.engine.CSSStylableElement`, `IContainerContent`, `IContent`, `IElement`, `IStyledElement`

All Known Subinterfaces:
  `IListBandContent`, `ITableBandContent`

public interface IBandContent extends IContainerContent
Provides the interface for the Band Content. All types of bands for table, group, list, such as table-header/detail/footer, group-header/detail/footer, list-header/detail/footer, are implemented as instances of this class.

The following types for the band content are predefined:

- `BAND_HEADER`
- `BAND_FOOTER`
- `GROUP_HEADER`
- `GROUP_FOOTER`
- `BAND_DETAIL`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BAND_DETAIL`
property: band detail
`static final int`
`BAND_FOOTER`
property: band footer
`static final int`
`BAND_GROUP_FOOTER`
property: band group footer
`static final int`
`BAND_GROUP_HEADER`
property: band group header
`static final int`
`BAND_HEADER`
property: band header

### Fields inherited from interface org.eclipse.birt.report.engine.content.IContent

`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, REPORT_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBandType()`
Get the type of the band content.
`String`
`getGroupID()`
Get the group id if the band content is in some group.
`void`
`setBandType(int bandType)`
Set the type of the band content.

### Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement

`getComputedStyle, getCSSEngine, getStyle`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IContent

`accept, cloneContent, getACL, getAltText, getAltTextKey, getBookmark, getContentType, getExtension, getExtensions, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTagType, getTOC, getUserProperties, getWidth, getX, getY, hasChildren, isDirectionRTL, isLastChild, isRTL, readContent, setACL, setAltText, setAltTextKey, setBookmark, setExtension, setExtensions, setGenerateBy, setHasChildren, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setLastChild, setName, setReportContent, setTagType, setTOC, setUserProperties, setWidth, setX, setY, writeContent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IElement

`getChildren, getParent, setParent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement

`getComputedStyle, getStyle, getStyleClass, setStyleClass`

## Field Details

### BAND_HEADER

static final int BAND_HEADER
property: band header

See Also:
  - Constant Field Values

### BAND_FOOTER

static final int BAND_FOOTER
property: band footer

See Also:
  - Constant Field Values

### BAND_GROUP_HEADER

static final int BAND_GROUP_HEADER
property: band group header

See Also:
  - Constant Field Values

### BAND_GROUP_FOOTER

static final int BAND_GROUP_FOOTER
property: band group footer

See Also:
  - Constant Field Values

### BAND_DETAIL

static final int BAND_DETAIL
property: band detail

See Also:
  - Constant Field Values

## Method Details

### getBandType

int getBandType()
Get the type of the band content. The return result of this method is in `int` format, and the `int` value must be one of the following predefined values in class `IBandContent`:
`BAND_HEADER`
`BAND_FOOTER`
`GROUP_HEADER`
`GROUP_FOOTER`
`BAND_DETAIL`

Returns:
  type of the band content.

- ### setBandType

  void setBandType(int bandType)
  Set the type of the band content. The value of parameter `bandType` must be one of the following predefined values in class `IBandContent`:
- `BAND_HEADER`
- `BAND_FOOTER`
- `GROUP_HEADER`
- `GROUP_FOOTER`
- `BAND_DETAIL`

Parameters:
  `bandType` - the type of the band content.

- ### getGroupID

  String getGroupID()
  Get the group id if the band content is in some group. This method will return `null` when the band content is not a group header and group footer.
  Returns:
    the group id.